<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="LaravelPintOptionsConfiguration">
    <option name="ruleset" value="laravel" />
  </component>
  <component name="MessDetector">
    <phpmd_settings>
      <MessDetectorConfiguration tool_path="$PROJECT_DIR$/vendor/bin/phpmd" />
      <phpmd_by_interpreter interpreter_id="77c2a926-4dda-49b2-b496-dee9e9b99156" tool_path="/opt/project/vendor/bin/phpmd" timeout="30000" />
    </phpmd_settings>
  </component>
  <component name="MessDetectorOptionsConfiguration">
    <option name="customRulesets">
      <list>
        <RulesetDescriptor>
          <option name="name" value="PHPMD Rules" />
          <option name="path" value="$PROJECT_DIR$/phpmd.xml" />
        </RulesetDescriptor>
      </list>
    </option>
    <option name="transferred" value="true" />
  </component>
  <component name="PHPCSFixerOptionsConfiguration">
    <option name="transferred" value="true" />
  </component>
  <component name="PHPCodeSnifferOptionsConfiguration">
    <option name="highlightLevel" value="WARNING" />
    <option name="transferred" value="true" />
  </component>
  <component name="PhpAnalysisConfiguration" call_tree_analysis_depth="2" />
  <component name="PhpIncludePathManager">
    <include_path>
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-uuid" />
      <path value="$PROJECT_DIR$/vendor/symfony/uid" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php80" />
      <path value="$PROJECT_DIR$/vendor/symfony/cache" />
      <path value="$PROJECT_DIR$/vendor/symfony/clock" />
      <path value="$PROJECT_DIR$/vendor/symfony/rate-limiter" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/guzzle" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-idn" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-normalizer" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-grapheme" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-ctype" />
      <path value="$PROJECT_DIR$/vendor/symfony/console" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/promises" />
      <path value="$PROJECT_DIR$/vendor/symfony/dependency-injection" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/psr7" />
      <path value="$PROJECT_DIR$/vendor/symfony/config" />
      <path value="$PROJECT_DIR$/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/vendor/symfony/string" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php72" />
      <path value="$PROJECT_DIR$/vendor/symfony/doctrine-messenger" />
      <path value="$PROJECT_DIR$/vendor/symfony/filesystem" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/vendor/firebase/php-jwt" />
      <path value="$PROJECT_DIR$/vendor/ralouphie/getallheaders" />
      <path value="$PROJECT_DIR$/vendor/psr/http-server-handler" />
      <path value="$PROJECT_DIR$/vendor/psr/container" />
      <path value="$PROJECT_DIR$/vendor/psr/cache" />
      <path value="$PROJECT_DIR$/vendor/psr/http-server-middleware" />
      <path value="$PROJECT_DIR$/vendor/psr/http-message" />
      <path value="$PROJECT_DIR$/vendor/psr/http-client" />
      <path value="$PROJECT_DIR$/vendor/psr/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/psr/clock" />
      <path value="$PROJECT_DIR$/vendor/psr/http-factory" />
      <path value="$PROJECT_DIR$/vendor/enshrined/svg-sanitize" />
      <path value="$PROJECT_DIR$/vendor/psr/log" />
      <path value="$PROJECT_DIR$/vendor/egulias/email-validator" />
      <path value="$PROJECT_DIR$/vendor/christian-riesen/base32" />
      <path value="$PROJECT_DIR$/vendor/dasprid/enum" />
      <path value="$PROJECT_DIR$/vendor/lolli42/finediff" />
      <path value="$PROJECT_DIR$/vendor/doctrine/dbal" />
      <path value="$PROJECT_DIR$/vendor/doctrine/lexer" />
      <path value="$PROJECT_DIR$/vendor/doctrine/event-manager" />
      <path value="$PROJECT_DIR$/vendor/doctrine/annotations" />
      <path value="$PROJECT_DIR$/vendor/doctrine/cache" />
      <path value="$PROJECT_DIR$/vendor/doctrine/deprecations" />
      <path value="$PROJECT_DIR$/vendor/bacon/bacon-qr-code" />
      <path value="$PROJECT_DIR$/vendor/masterminds/html5" />
      <path value="$PROJECT_DIR$/vendor/typo3/html-sanitizer" />
      <path value="$PROJECT_DIR$/vendor/typo3/cms-core" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-foundation" />
      <path value="$PROJECT_DIR$/vendor/typo3/cms-composer-installers" />
      <path value="$PROJECT_DIR$/vendor/symfony/mime" />
      <path value="$PROJECT_DIR$/vendor/symfony/deprecation-contracts" />
      <path value="$PROJECT_DIR$/vendor/typo3fluid/fluid" />
      <path value="$PROJECT_DIR$/vendor/typo3/cms-cli" />
      <path value="$PROJECT_DIR$/vendor/symfony/service-contracts" />
      <path value="$PROJECT_DIR$/vendor/typo3/class-alias-loader" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php83" />
      <path value="$PROJECT_DIR$/vendor/symfony/var-exporter" />
      <path value="$PROJECT_DIR$/vendor/symfony/messenger" />
      <path value="$PROJECT_DIR$/vendor/symfony/mailer" />
      <path value="$PROJECT_DIR$/vendor/symfony/cache-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/options-resolver" />
      <path value="$PROJECT_DIR$/vendor/symfony/routing" />
      <path value="$PROJECT_DIR$/vendor/symfony/yaml" />
      <path value="$PROJECT_DIR$/vendor/symfony/expression-language" />
      <path value="$PROJECT_DIR$/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/type" />
      <path value="$PROJECT_DIR$/vendor/sebastian/cli-parser" />
      <path value="$PROJECT_DIR$/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/vendor/sebastian/lines-of-code" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/vendor/sebastian/complexity" />
      <path value="$PROJECT_DIR$/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-invoker" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/vendor/phpstan/phpstan" />
      <path value="$PROJECT_DIR$/vendor/rector/rector" />
      <path value="$PROJECT_DIR$/vendor/phpmd/phpmd" />
      <path value="$PROJECT_DIR$/vendor/pdepend/pdepend" />
    </include_path>
  </component>
  <component name="PhpInterpreters">
    <interpreters>
      <interpreter id="77c2a926-4dda-49b2-b496-dee9e9b99156" name="in2code/php-dev:8.2-fpm" home="docker://DATA" auto="false" debugger_id="php.debugger.XDebug">
        <remote_data INTERPRETER_PATH="php" HELPERS_PATH="/opt/.phpstorm_helpers" VALID="true" RUN_AS_ROOT_VIA_SUDO="false" DOCKER_ACCOUNT_NAME="Docker" DOCKER_IMAGE_NAME="in2code/php-dev:8.2-fpm" DOCKER_REMOTE_PROJECT_PATH="/opt/project" />
      </interpreter>
    </interpreters>
  </component>
  <component name="PhpInterpretersPhpInfoCache">
    <phpInfoCache>
      <interpreter name="in2code/php-dev:8.2-fpm">
        <phpinfo binary_type="PHP" php_cli="/usr/local/bin/php" path_separator=":" version="8.2.10">
          <additional_php_ini>/usr/local/etc/php/conf.d/docker-fpm.ini, /usr/local/etc/php/conf.d/docker-php-ext-bcmath.ini, /usr/local/etc/php/conf.d/docker-php-ext-brotli.ini, /usr/local/etc/php/conf.d/docker-php-ext-gd.ini, /usr/local/etc/php/conf.d/docker-php-ext-imagick.ini, /usr/local/etc/php/conf.d/docker-php-ext-intl.ini, /usr/local/etc/php/conf.d/docker-php-ext-mysqli.ini, /usr/local/etc/php/conf.d/docker-php-ext-pdo_mysql.ini, /usr/local/etc/php/conf.d/docker-php-ext-redis.ini, /usr/local/etc/php/conf.d/docker-php-ext-sodium.ini, /usr/local/etc/php/conf.d/docker-php-ext-xdebug.ini, /usr/local/etc/php/conf.d/docker-php-ext-zip.ini, /usr/local/etc/php/conf.d/xdebug.ini, /usr/local/etc/php/conf.d/zz_custom.ini</additional_php_ini>
          <configuration_file />
          <configuration_options>
            <configuration_option name="include_path" value=".:/usr/local/lib/php" />
          </configuration_options>
          <debuggers>
            <debugger_info debugger="xdebug" debugger_version="3.2.2">
              <debug_extensions />
            </debugger_info>
          </debuggers>
          <loaded_extensions>
            <extension name="Core" />
            <extension name="PDO" />
            <extension name="Phar" />
            <extension name="Reflection" />
            <extension name="SPL" />
            <extension name="SimpleXML" />
            <extension name="bcmath" />
            <extension name="brotli" />
            <extension name="ctype" />
            <extension name="curl" />
            <extension name="date" />
            <extension name="dom" />
            <extension name="fileinfo" />
            <extension name="filter" />
            <extension name="ftp" />
            <extension name="gd" />
            <extension name="hash" />
            <extension name="iconv" />
            <extension name="imagick" />
            <extension name="intl" />
            <extension name="json" />
            <extension name="libxml" />
            <extension name="mbstring" />
            <extension name="mysqli" />
            <extension name="mysqlnd" />
            <extension name="openssl" />
            <extension name="pcre" />
            <extension name="pdo_mysql" />
            <extension name="pdo_sqlite" />
            <extension name="posix" />
            <extension name="random" />
            <extension name="readline" />
            <extension name="redis" />
            <extension name="session" />
            <extension name="sodium" />
            <extension name="sqlite3" />
            <extension name="standard" />
            <extension name="tokenizer" />
            <extension name="xdebug" />
            <extension name="xml" />
            <extension name="xmlreader" />
            <extension name="xmlwriter" />
            <extension name="zip" />
            <extension name="zlib" />
          </loaded_extensions>
        </phpinfo>
      </interpreter>
    </phpInfoCache>
  </component>
  <component name="PhpProjectSharedConfiguration" php_language_level="8.1" />
  <component name="PhpRuntimeConfiguration">
    <extensions>
      <extension name="FFI" enabled="true" />
      <extension name="LuaSandbox" enabled="true" />
      <extension name="Parle" enabled="true" />
      <extension name="SaxonC" enabled="true" />
      <extension name="ZendCache" enabled="true" />
      <extension name="aerospike" enabled="true" />
      <extension name="ast" enabled="true" />
      <extension name="blackfire" enabled="true" />
      <extension name="com_dotnet" enabled="true" />
      <extension name="couchbase_v2" enabled="true" />
      <extension name="crypto" enabled="true" />
      <extension name="ds" enabled="true" />
      <extension name="eio" enabled="true" />
      <extension name="event" enabled="true" />
      <extension name="expect" enabled="true" />
      <extension name="leveldb" enabled="true" />
      <extension name="libvirt-php" enabled="true" />
      <extension name="lua" enabled="true" />
      <extension name="lzf" enabled="true" />
      <extension name="mapscript" enabled="true" />
      <extension name="meminfo" enabled="true" />
      <extension name="msgpack" enabled="true" />
      <extension name="pam" enabled="true" />
      <extension name="parallel" enabled="true" />
      <extension name="pcov" enabled="true" />
      <extension name="phpdbg" enabled="true" />
      <extension name="pq" enabled="true" />
      <extension name="radius" enabled="true" />
      <extension name="rdkafka" enabled="true" />
      <extension name="rpminfo" enabled="true" />
      <extension name="simple_kafka_client" enabled="true" />
      <extension name="solr" enabled="true" />
      <extension name="stats" enabled="true" />
      <extension name="stomp" enabled="true" />
      <extension name="svm" enabled="true" />
      <extension name="swoole" enabled="true" />
      <extension name="sync" enabled="true" />
      <extension name="uopz" enabled="true" />
      <extension name="uploadprogress" enabled="true" />
      <extension name="uuid" enabled="true" />
      <extension name="uv" enabled="true" />
      <extension name="winbinder" enabled="true" />
      <extension name="xcache" enabled="true" />
      <extension name="xdiff" enabled="true" />
      <extension name="xxtea" enabled="true" />
      <extension name="yaf" enabled="true" />
      <extension name="yar" enabled="true" />
      <extension name="zookeeper" enabled="true" />
      <extension name="zstd" enabled="true" />
    </extensions>
  </component>
  <component name="PhpStan">
    <PhpStan_settings>
      <PhpStanConfiguration tool_path="$PROJECT_DIR$/vendor/bin/phpstan" />
    </PhpStan_settings>
  </component>
  <component name="PhpStanOptionsConfiguration">
    <option name="transferred" value="true" />
  </component>
  <component name="PhpUnit">
    <phpunit_settings>
      <PhpUnitSettings configuration_file_path="$PROJECT_DIR$/phpunit.xml" custom_loader_path="$PROJECT_DIR$/vendor/autoload.php" phpunit_phar_path="" use_configuration_file="true" />
    </phpunit_settings>
  </component>
  <component name="PsalmOptionsConfiguration">
    <option name="transferred" value="true" />
  </component>
</project>